<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: TOP_ETHMONITOR32 Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">TOP_ETHMONITOR32 Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TOP_ETHMONITOR32:</div>
<div class="dyncontent">
<div class="center"><img src="classTOP__ETHMONITOR32__inherit__graph.png" border="0" usemap="#TOP__ETHMONITOR32_inherit__map" alt="Inheritance graph"/></div>
<map name="TOP__ETHMONITOR32_inherit__map" id="TOP__ETHMONITOR32_inherit__map">
<area shape="rect" id="node2" href="classETHMONITOR__32.html" title="ETHMONITOR_32(2)" alt="" coords="11,5,170,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classTOP__ETHMONITOR32-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTOP__ETHMONITOR32_1_1behave.html">behave</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:aa8c4e25998323a84db5b1fa701b92fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8c4e25998323a84db5b1fa701b92fcb"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#aa8c4e25998323a84db5b1fa701b92fcb">textio</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a826d77bf127245b1a9dbcd8d015e751f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a826d77bf127245b1a9dbcd8d015e751f"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a826d77bf127245b1a9dbcd8d015e751f">BIG_ENDIAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a138fcff2bcb3ea61982eb8191a752e39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a138fcff2bcb3ea61982eb8191a752e39"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a138fcff2bcb3ea61982eb8191a752e39">ENABLE_SHIFT16</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a66accebee5174aef6c162478459a894c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66accebee5174aef6c162478459a894c"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a66accebee5174aef6c162478459a894c">din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83bf08c81054bf7cf75db7901a9d377c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83bf08c81054bf7cf75db7901a9d377c"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a83bf08c81054bf7cf75db7901a9d377c">dval</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a29c53213ec5024b2497ad9eca81f9154"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29c53213ec5024b2497ad9eca81f9154"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a29c53213ec5024b2497ad9eca81f9154">derror</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7776970d64d45cd0c14bc31371291ad2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7776970d64d45cd0c14bc31371291ad2"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a7776970d64d45cd0c14bc31371291ad2">sop</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abf0cc84bf728a2158478391119006880"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf0cc84bf728a2158478391119006880"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#abf0cc84bf728a2158478391119006880">eop</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9a8d16443f3cf2bd759fbffa24753469"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a8d16443f3cf2bd759fbffa24753469"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a9a8d16443f3cf2bd759fbffa24753469">tmod</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a96b84bf509dbe88a13b575747dd55b37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96b84bf509dbe88a13b575747dd55b37"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a96b84bf509dbe88a13b575747dd55b37">dst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ae945e3a1dd6dbed4135d2b288d2c9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ae945e3a1dd6dbed4135d2b288d2c9d"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a8ae945e3a1dd6dbed4135d2b288d2c9d">src</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab448d3de48c63c1d8bed087978c36e65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab448d3de48c63c1d8bed087978c36e65"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#ab448d3de48c63c1d8bed087978c36e65">prmble_len</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10000</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae640298436bc6f1511c6549552846d49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae640298436bc6f1511c6549552846d49"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#ae640298436bc6f1511c6549552846d49">pquant</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0024b87df7547c37da7666fd367d862"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0024b87df7547c37da7666fd367d862"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#ab0024b87df7547c37da7666fd367d862">vlan_ctl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35c1eab108bd6f3b28830d8006500a7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35c1eab108bd6f3b28830d8006500a7f"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a35c1eab108bd6f3b28830d8006500a7f">len</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afda632f860ccff2d2d2d83fbce901391"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda632f860ccff2d2d2d83fbce901391"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#afda632f860ccff2d2d2d83fbce901391">frmtype</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d72757338c36d10931dbc3f1e9649e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d72757338c36d10931dbc3f1e9649e6"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a7d72757338c36d10931dbc3f1e9649e6">payload</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a29c9f33a9e006b3ec4cd98a263e434"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a29c9f33a9e006b3ec4cd98a263e434"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a5a29c9f33a9e006b3ec4cd98a263e434">payload_vld</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ac7163b6a41efba9ea5c3459c1ee421"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ac7163b6a41efba9ea5c3459c1ee421"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a2ac7163b6a41efba9ea5c3459c1ee421">is_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9f38278da3a7093b06ce0312b6712208"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f38278da3a7093b06ce0312b6712208"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a9f38278da3a7093b06ce0312b6712208">is_stack_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aceb337daab064a5c0248eb235b368a0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aceb337daab064a5c0248eb235b368a0e"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#aceb337daab064a5c0248eb235b368a0e">is_pause</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afc1c98a4de35f4b5f17b261a71d08046"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc1c98a4de35f4b5f17b261a71d08046"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#afc1c98a4de35f4b5f17b261a71d08046">crc_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a05cfd4222749f4c8f972a321e88b4267"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05cfd4222749f4c8f972a321e88b4267"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a05cfd4222749f4c8f972a321e88b4267">prmbl_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a75bb27f857cd1cc5be60cf357a52ef56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75bb27f857cd1cc5be60cf357a52ef56"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a75bb27f857cd1cc5be60cf357a52ef56">len_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad098df430835c418e7ec21cf3649282d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad098df430835c418e7ec21cf3649282d"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#ad098df430835c418e7ec21cf3649282d">payload_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afbda4d5bad59d01c51eaf18f5505556d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbda4d5bad59d01c51eaf18f5505556d"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#afbda4d5bad59d01c51eaf18f5505556d">frame_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a853351266f95e6e6e535e34fbfd04b53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a853351266f95e6e6e535e34fbfd04b53"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a853351266f95e6e6e535e34fbfd04b53">pause_op_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a556e3cbdd345dd87f3bce8764390690d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a556e3cbdd345dd87f3bce8764390690d"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a556e3cbdd345dd87f3bce8764390690d">pause_dst_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a847e364612aca67ccfd0d6291439a09e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a847e364612aca67ccfd0d6291439a09e"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a847e364612aca67ccfd0d6291439a09e">mac_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e6d77b32b02e16817ac804b68cb82e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e6d77b32b02e16817ac804b68cb82e1"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a8e6d77b32b02e16817ac804b68cb82e1">end_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e2c5ce6978ace92b3eba66cf5e2046a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e2c5ce6978ace92b3eba66cf5e2046a"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a3e2c5ce6978ace92b3eba66cf5e2046a">jumbo_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69042cade9a73fe4ac2455ae19cc1cc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69042cade9a73fe4ac2455ae19cc1cc9"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a69042cade9a73fe4ac2455ae19cc1cc9">data_only</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2389a8d97f911159ba6461d59304d562"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2389a8d97f911159ba6461d59304d562"></a>
<a class="el" href="classTOP__ETHMONITOR32.html#a2389a8d97f911159ba6461d59304d562">frm_rcvd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2top__ethmon32_8vhd_source.html#l00050">50</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2top__ethmon32_8vhd_source.html">top_ethmon32.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2top__ethmon32_8vhd_source.html">top_ethmon32.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2top__ethmon32_8vhd_source.html">top_ethmon32.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
